Skip to content

Update Directory File

FileUpdateResponse Beta.Directories.Files.Update(FileUpdateParamsparameters, CancellationTokencancellationToken = default)
PATCH/api/v1/beta/directories/{directory_id}/files/{directory_file_id}

Update directory-file metadata by directory_file_id; set directory_id to move the file to a different directory. To resolve from unique_id, list with a filter first.

ParametersExpand Collapse
FileUpdateParams parameters
required string directoryID

Path param

required string directoryFileID

Path param

string? organizationID

Query param

formatuuid
string? projectID

Query param

formatuuid
string? displayName

Body param: Updated display name.

IReadOnlyDictionary<string, Metadata>? metadata

Body param: User-defined metadata key-value pairs. Replaces the user metadata layer.

string
Long
Double
Boolean
JsonElement
IReadOnlyList<string>
string? targetDirectoryID

Body param: Move file to a different directory.

string? uniqueID

Body param: Updated unique identifier.

minLength1
ReturnsExpand Collapse
class FileUpdateResponse:

API response schema for a directory file.

required string ID

Unique identifier for the directory file.

required string DirectoryID

Directory the file belongs to.

required string DisplayName

Display name for the file.

minLength1
required string ProjectID

Project the directory file belongs to.

required string UniqueID

Unique identifier for the file in the directory

minLength1
DateTimeOffset? CreatedAt

Creation datetime

formatdate-time
DateTimeOffset? DeletedAt

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
PresignedUrl? DownloadUrl

Schema for a presigned URL.

required DateTimeOffset ExpiresAt

The time at which the presigned URL expires

formatdate-time
required string Url

A presigned URL for IO operations against a private file

formaturi
minLength1
IReadOnlyDictionary<string, string>? FormFields

Form fields for a presigned POST request

string? FileID

File ID for the storage location.

IReadOnlyDictionary<string, Metadata> Metadata

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
string
Long
Double
Boolean
JsonElement
IReadOnlyList<string>
DateTimeOffset? UpdatedAt

Update datetime

formatdate-time

Update Directory File

FileUpdateParams parameters = new()
{
    DirectoryID = "directory_id",
    DirectoryFileID = "directory_file_id",
};

var file = await client.Beta.Directories.Files.Update(parameters);

Console.WriteLine(file);
{
  "id": "id",
  "directory_id": "directory_id",
  "display_name": "x",
  "project_id": "project_id",
  "unique_id": "x",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "download_url": {
    "expires_at": "2019-12-27T18:11:19.117Z",
    "url": "https://example.com",
    "form_fields": {
      "foo": "string"
    }
  },
  "file_id": "file_id",
  "metadata": {
    "foo": "string"
  },
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "directory_id": "directory_id",
  "display_name": "x",
  "project_id": "project_id",
  "unique_id": "x",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "download_url": {
    "expires_at": "2019-12-27T18:11:19.117Z",
    "url": "https://example.com",
    "form_fields": {
      "foo": "string"
    }
  },
  "file_id": "file_id",
  "metadata": {
    "foo": "string"
  },
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/